List webhooks
curl --request GET \
--url https://your-instance.example.com/api/webhooks \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://your-instance.example.com/api/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.example.com/api/webhooks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://your-instance.example.com/api/webhooks"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://your-instance.example.com/api/webhooks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}[
{
"createdAt": "<string>",
"enabled": true,
"events": [
"<string>"
],
"headers": [
{
"name": "X-Custom-Header",
"value": "my-value"
}
],
"id": 123,
"retries": {
"attempts": 3,
"delaySeconds": 5,
"policy": "exponential"
},
"session": "<string>",
"tenantId": "<string>",
"url": "<string>"
}
]{
"error": "internal server error"
}{
"docs": "<string>",
"error": "<string>"
}webhooks
List webhooks
Returns all webhook configurations for the tenant
GET
/
api
/
webhooks
List webhooks
Authorizations
Scoped API key created via POST /api/account/keys.
Response
OK
When the webhook was registered
Whether this webhook is active
Subscribed event types (empty = all events)
Custom HTTP headers included with each delivery
Show child attributes
Show child attributes
Unique webhook identifier
Show child attributes
Show child attributes
Session name to filter events for (null = all sessions)
Tenant that owns this webhook
Target URL for webhook delivery